/*
	Richard G Brown

	Platform Specific Header File
	For rgbnode derived plugin nodes
	for MQSeries Integrator version 2

	#define __RGB_IMPORT 1 if USING an rgbnode shared object
	#define __RGB_EXPORT 1 if exporting (i.e. defining an rgbnode dll)

	This library can be reincluded in order to allow redefinition of the import
	and export symbols. This is since a DLL export compilation unit (which would
	#define RGB_EXPORT 1) may need to IMPORT symbols from a different
	library 

*/

#ifndef __RGB_IMPORT
#ifndef __RGB_EXPORT
#define __RGB_IMPORT 1
#endif
#endif

/* WINDOWS */

#ifdef _WIN32

#define ZLIB_DLL
#define _WINDOWS

#ifdef __RGB_IMPORT
#define __RGB_IMPORTEXPORTPREFIX _declspec(dllimport)
#define __RGB_IMPORTEXPORTSUFFIX  
#else /* __RGB_EXPORT defined */
#define __RGB_IMPORTEXPORTPREFIX _declspec(dllexport)
#define __RGB_IMPORTEXPORTSUFFIX   

#define __RGB_DEBUG_OUTPUT_LOCATION C:\CompressionNodeDebug.log

#endif /* __RGB_IMPORT */

#endif /* _WIN32 */

/* SOLARIS --- is the #ifdef testing the right symbol??? */

#ifdef __sun
#define __RGB_IMPORTEXPORTPREFIX
#define __RGB_IMPORTEXPORTSUFFIX

#define __RGB_DEBUG_OUTPUT_LOCATION /tmp/CompressionNodeDebug.log

#endif /* __sun */
